Bug 139564 - system freezes on usb memory stick insertion
system freezes on usb memory stick insertion
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 13:24 EST by Juan Antonio Martinez
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.9-1.678_FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-17 14:36:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Antonio Martinez 2004-11-16 13:24:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040913

Description of problem:
Fresh install of FC3 + upgrades in an Athlon 1700+

Every time i insert a usb-2.0 pendrive, system freezes.
Removing it has no effect. I have to turn off computer

FC1 and RH9 works fine in same PC (USB-1.1 uhci-hcd module)

I've tried also acpi=off (as read somewhere). Still freezes

Seems that hotplug detect insertion ( some times syslog
shows standard -but incomplete- message on usb-storage
detection ), but device cannot be initialized as sda1

preload of usb-storage modules doesn't change matter

I also have in the system a sym53c8xx SCSI PCI card 
with no devices attached. module is preloaded in initrd


Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1.Start FC3 either in graphic or text mode
2.Plug a usb memory stick
3.
    

Actual Results:  System freezes. Sometimes a truncated log is shown in
console

Expected Results:  pendrive automounted as /media/USBDISK

Additional info:

Here comes log from inserting event in a working RH9 environment:
 
with first pendrive (Woxter)
..............
Nov 16 19:15:53 osito kernel: hub.c: new USB device 00:07.2-1,
assigned address 3
Nov 16 19:15:53 osito kernel: scsi1 : SCSI emulation for USB Mass
storage devices
Nov 16 19:15:53 osito kernel:   Vendor: OTi       Model: Flash Disk  
     Rev: 1.11
Nov 16 19:15:53 osito kernel:   Type:   Direct-Access                
     ANSI SCSI revision: 02
Nov 16 19:15:53 osito kernel: Attached scsi removable disk sdb at
scsi1, channel 0, id 0, lun 0
Nov 16 19:15:53 osito kernel: SCSI device sdb: 96768 512-byte hdwr
sectors (50 MB)
Nov 16 19:15:53 osito kernel: sdb: Write Protect is off
Nov 16 19:15:53 osito kernel:  sdb: sdb1
Nov 16 19:15:57 osito /etc/hotplug/usb.agent: Setup usb-storage for
USB product ea0/6803/100
...............

And when inserting my other pendrive (Samsung):

..........
Nov 16 19:22:05 osito kernel: hub.c: new USB device 00:07.2-1,
assigned address 5
Nov 16 19:22:05 osito kernel: usb.c: USB device 5 (vend/prod
0x4e8/0x1623) is not claimed by any active driver.
Nov 16 19:22:08 osito /etc/hotplug/usb.agent: Setup usb-storage for
USB product 4e8/1623/100
Nov 16 19:22:09 osito kernel: SCSI subsystem driver Revision: 1.00
Nov 16 19:22:09 osito kernel: Initializing USB Mass Storage driver...
Nov 16 19:22:09 osito kernel: usb.c: registered new driver usb-storage
Nov 16 19:22:09 osito kernel: scsi0 : SCSI emulation for USB Mass
Storage devices
Nov 16 19:22:09 osito kernel:   Vendor: Samsung   Model: Mighty Drive
     Rev: PMAP
Nov 16 19:22:09 osito kernel:   Type:   Direct-Access                
     ANSI SCSI revision: 02
Nov 16 19:22:09 osito kernel: USB Mass Storage support registered.
...........

In Fedora Core 3 these messages sometimes start to appear, but system
freezes inmediatly
Comment 1 Juan Antonio Martinez 2004-11-17 02:39:17 EST
rmmod'ing sym53c8xx and scsi stuff has no effect: system still freezes
Comment 2 Juan Antonio Martinez 2004-11-17 02:58:25 EST
More info: this is the malfunctioning device:

( VIA motherboard )

00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 1a) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. (Wrong ID) USB Controller
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at d400 [size=32]
        Capabilities: [80] Power Management version 2

I've been reported this problem in other intel machines. 
Comment 3 Juan Antonio Martinez 2004-11-17 14:33:24 EST
Solved:
Updating kernel to version kernel-2.6.9-1.678_FC3.i686.rpm
(from fedora updates ) problem goes away

Note You need to log in before you can comment on or make changes to this bug.